---
title: R-word
slug: r-word
defined: true
speech: noun
flag:
  level: avoid
  text: ableist slur
reading:
  - text: 'Why Use of the R-Word Needs to Stop'
    href: https://www.verywellfamily.com/what-is-the-r-word-3105651
  - text: 'End the R word'
    href: https://www.sonc.org/EndtheRWord
---

Previously, the word "retard" (often referred to by the euphemism "the r-word") was used in a medical context as an umbrella term to describe people with intellectual and developmental disabilities (I/DD).

In modern use, the r-word is generally used as a denigrating term for a person with an I/DD, or to compare someone _without_ an I/DD to someone _with_ an I/DD in a derogatory sense.

## Issues

While the term was previously used in a medical context, use of the word has transitioned to having a negative connotation in modern language. Changes are being made in both the medical and legal fields to reflect that conversational shift.

[Rosa's Law was passed in 2010](https://www.congress.gov/111/plaws/publ256/PLAW-111publ256.pdf) to eliminate all references to "mental retardation" in U.S. federal law, replacing them with "intellectual disability".

The [DSM-5 update in 2013](https://www.psychiatry.org/File%20Library/Psychiatrists/Practice/DSM/APA_DSM-5-Intellectual-Disability.pdf) replaced "mental retardation" with "intellectual disability". [The Diagnostic and Statistical Manual of Mental Disorders (DSM)](https://www.psychiatry.org/psychiatrists/practice/dsm/feedback-and-questions/frequently-asked-questions) is the handbook used by health care professionals in the United States and much of the world as the authoritative guide to the diagnosis of mental disorders. The DSM is [periodically revised](https://www.psychiatry.org/File%20Library/Psychiatrists/Practice/DSM/APA_DSM-5-Intellectual-Disability.pdf) to align the manual's content with modern language and in reflection of the most up-to-date research and diagnostic criteria.

## Impact

Regardless of whether r-word is being used to describe someone with or without an I/DD, use of the word contributes to the dehumanisation, stigmatisation, and negative perceptions of people with an I/DD.

By using ableist language, we are perpetuating violence against people who experience mental or psychological disabilities. Using this language perpetuates those systems and language of harm, regardless of our intent.

## Alt Words

If you are using it to describe or refer to a person with an I/DD in a context where their I/DD is relevant, first be certain that they have an I/DD. Use a term that does not have a derogatory connotation ("intellectual disability", or the name of the actual disability, if applicable). If you use the name of the actual disability, be certain that you are correct, and be certain that they are comfortable with using the name.

If you are using it to describe or refer to a person with an I/DD in a context where their I/DD is not relevant, don't. Describe something else about them as a person. if someone is writing an article about a person with an I/DD, the relevance of their I/DD should be led by them. Avoid "inspiration porn", which is the portrayal of people with disabilities as inspirational solely or in part on the basis of their disability. ([Coined by Stella Young](https://www.youtube.com/watch?v=SxrS7-I_sMQ)).

If you are using it to describe or refer to a person without an I/DD, don't. Use a different, more relevant, descriptive word.
