# 📕 [Self-Defined Dictionary](https://www.selfdefined.app)

[![Netlify Status](https://api.netlify.com/api/v1/badges/82274e91-8f6a-474e-9b2a-fca29bb72d75/deploy-status)](https://app.netlify.com/sites/selfdefined/deploys)

[Contributing Guidelines](https://github.com/tatianamac/selfdefined/blob/master/CONTRIBUTING.md) · [Documentation](https://www.selfdefined.app/documentation/) · [Code of Conduct](https://github.com/tatianamac/selfdefined/blob/master/CODE-OF-CONDUCT.md)

A modern dictionary about us. We define our words, but they don't define us.

Self-Defined seeks to provide more inclusive, holistic, and fluid definitions to reflect the modern world. The goal for Self-Defined is to become the first modern dictionary that reflects our digital world, using the best aspects of technology while minimising the worst aspects of technology that can cause harm. Self-Defined is successful if it supports greater, more nuanced understanding and tolerance of fellow humans through words.

Self-Defined is proud to be built on [Eleventy](https://github.com/11ty/eleventy), a static-site generator.

*Why build a dictionary when they already exist?*

- Dictionary definitions, which are written by centred and majority people, are often weaponised to refute marginalised and minoritised people. If I had a dollar for every time I got pasted the definition of "racism."
- Marginalised people do an extraordinary burden to define words for people. My hope is to minimise that emotional labour and place it onto a robot.
- Words help to materialise concepts, which allow people to be perceived in their identities. Words also create policies, which can define infrastructure.

## Contributing

We want to create and to foster a welcoming, inclusive, and safer environment where contributors of many backgrounds and talents can contribute to Self-Defined, in particular, first-time contributors from "non-technical" backgrounds. Our hope is that people can truly self-define and write about the words that they identify as. We are grateful for the community contributions.

### Code of Conduct

We have adapted the [Contributor Convenent](https://github.com/tatianamac/selfdefined/blob/master/CODE-OF-CONDUCT.md) and expect any contributors to adhere to it. We as maintainers reserve the right to ban anyone's participation who does not foster the welcoming, inclusive, and safer environment we seek to maintain.

### Contributing Guide

Please read our [Contributing Guidelines](https://github.com/tatianamac/selfdefined/blob/master/CONTRIBUTING.md) to get started.

### Documentation

Please see our [Documentation](https://www.selfdefined.app/documentation/).

#### First-Time Contributors

We love encouraging first-time contributors and have labelled [good first issues](https://github.com/tatianamac/selfdefined/issues?q=is%3Aissue+is%3Aopen+label%3A%22good+first+issue%22) that tend to be isolated and require less knowledge of our codebase.

### Additional Ways to Support

💰 Support this OSS project by [sponsoring me](https://github.com/users/tatianamac/sponsorship).
🐦 Follow [Self-Defined on Twitter](https://twitter.com/selfdefinedapp).

## Future Roadmap/Intention

1. **Dictionary site**: Webapp where words can be connected, linking to alternates for bad terms or alternates for definitions with nuance. Create ability to use parameters so someone can connect multiple words they use together, to help clear up how they define themselves. For example, `?disabled+pan+Indigenous`. Creating such a strand easily would allow people to link in email signatures, Twitter bios, etc.
2. **Twitter bot:** Allows someone to tag [@SelfDefinedBot](https://twitter.com/SelfDefinedBot) in order to get automated reply. For example '@SelfDefinedBot define racism'.
3. **Slack bot:** Problematic words could be flagged and alternates could be provided. Could also define words.
4. **Custom API:** Allows dictionary to be adapted and referenced under other large-scale projects.

### Design Intention

- Typography at its core, focused on legibility, performance, and future-proofing for translations/non-Roman alphabets.
- High-contrast colour palette, again for legibility.
- Lack of imagery or ornamentation, given the sensitivity and representation of these communities. Depicting them visually at this time feels reductionist.

### Philosophies

- Maintain OSS nature for non-profit and other OSS uses, but charge for corporate uses.
- Ensure that dictionary includes nuances and expresses that not everyone ascribes to terms exactly as they are; illustrate and articulate those nuances wherever possible.
- Accessibility, inclusion, and performance are at the core of this project.

## Contributors

### Code Contributors

This project exists thanks to all the people who contribute. [[Contribute](CONTRIBUTING.md)].
<a href="https://github.com/tatianamac/SelfDefined/graphs/contributors"><img src="https://opencollective.com/SelfDefined/contributors.svg?width=890&button=false" /></a>

### Financial Contributors

Become a financial contributor and help us sustain our community. [[Contribute](https://opencollective.com/SelfDefined/contribute)]

#### Individuals

<a href="https://opencollective.com/SelfDefined"><img src="https://opencollective.com/SelfDefined/individuals.svg?width=890"></a>

#### Organizations

Support this project with your organization. Your logo will show up here with a link to your website. [[Contribute](https://opencollective.com/SelfDefined/contribute)]

<a href="https://opencollective.com/SelfDefined/organization/0/website"><img src="https://opencollective.com/SelfDefined/organization/0/avatar.svg"></a>
<a href="https://opencollective.com/SelfDefined/organization/1/website"><img src="https://opencollective.com/SelfDefined/organization/1/avatar.svg"></a>
<a href="https://opencollective.com/SelfDefined/organization/2/website"><img src="https://opencollective.com/SelfDefined/organization/2/avatar.svg"></a>
<a href="https://opencollective.com/SelfDefined/organization/3/website"><img src="https://opencollective.com/SelfDefined/organization/3/avatar.svg"></a>
<a href="https://opencollective.com/SelfDefined/organization/4/website"><img src="https://opencollective.com/SelfDefined/organization/4/avatar.svg"></a>
<a href="https://opencollective.com/SelfDefined/organization/5/website"><img src="https://opencollective.com/SelfDefined/organization/5/avatar.svg"></a>
<a href="https://opencollective.com/SelfDefined/organization/6/website"><img src="https://opencollective.com/SelfDefined/organization/6/avatar.svg"></a>
<a href="https://opencollective.com/SelfDefined/organization/7/website"><img src="https://opencollective.com/SelfDefined/organization/7/avatar.svg"></a>
<a href="https://opencollective.com/SelfDefined/organization/8/website"><img src="https://opencollective.com/SelfDefined/organization/8/avatar.svg"></a>
<a href="https://opencollective.com/SelfDefined/organization/9/website"><img src="https://opencollective.com/SelfDefined/organization/9/avatar.svg"></a>
